Page MenuHomePhabricator

Make it easier to find inactive projects
Closed, WontfixPublic

Description

It is currently difficult to query projects in such a way to find inactive projects. It would be nice it would be possible to query projects not just on their properties but also on what they are assigned to, how many members they have, etc.

Event Timeline

eadler created this task.Apr 27 2015, 9:04 PM
eadler raised the priority of this task from to Needs Triage.
eadler updated the task description. (Show Details)
eadler added projects: Projects, Search.
eadler added a subscriber: eadler.
chad renamed this task from Permit querying projects by number of members, recent activity, total maniphest revisions with them, etc. (generally: make it easier to find inactive projects) to Make it easier to find inactive projects.Apr 28 2015, 3:58 AM
chad removed a project: Search.

This got morphed into "find archived projects more easily" and then a direct duplicate was filed, so I just merged all this and resolved T7969.

I do hear that there are other features requested here, like searching for projects based on how many members they have. If that is still something you need, please do file a new task or re open this one, and let us know what the problem(s) are that you are trying to solve with the missing features.

eadler reopened this task as Open.May 1 2015, 1:29 AM

Note: this isn't a duplicate of T7969:

This task is about discoverability of inactive projects currently marked active: I want to be able to find projects with no bugs assigned, no activity, only disabled users, etc.

T7969 is more directly a search feature request.

epriestley closed this task as Wontfix.May 4 2015, 1:47 PM
epriestley claimed this task.
epriestley added a subscriber: epriestley.

We haven't seen other requests for this and it doesn't seem very valuable to most installs. The definition of "inactive" is also subjective, and seems likely to vary from one user to another.

You could try querying the database directly, writing a script to help, or possibly using the Conduit API (although it may not provide enough information until after T5873).

Broadly, this feature request doesn't describe a problem, only a desired solution. Our ability to help solve problems is limited when we don't have enough information to understand them. See:

https://secure.phabricator.com/book/phabcontrib/article/feature_requests/#describe-problems